Issue the signed completion receipt for a finished Dojo run.
curl --request GET \
--url https://api.mnemom.ai/v1/dojo/receipt/{session_id}import requests
url = "https://api.mnemom.ai/v1/dojo/receipt/{session_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.mnemom.ai/v1/dojo/receipt/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"receipt": "<string>",
"payload": {
"typ": "DojoCompletionReceipt/v1",
"iss": "<string>",
"sub": "<string>",
"iat": 123,
"exp": 123,
"session_id": "<string>",
"scenario_id": "<string>",
"declared": {
"alignment_card_hash": "<string>",
"protection_card_hash": "<string>"
},
"verdict": {
"outcome": "pass",
"canary_protected": true,
"leak": true,
"contagion": true,
"rating": "<string>"
},
"completed_at": "2023-11-07T05:31:56Z"
},
"key_id": "<string>",
"permalink": "<string>",
"verify": {
"endpoint": "<string>",
"jwks": "<string>",
"note": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Dojo
Issue the signed completion receipt for a finished Dojo run.
PUBLIC — the session_id is the credential (a shareable permalink).
GET
/
dojo
/
receipt
/
{session_id}
Issue the signed completion receipt for a finished Dojo run.
Path Parameters
The completed dojo sim session id.